### Method

# Handy Avatar draw_to_pixbuf_finish

#### Declaration [src]

    GdkPixbuf*
    hdy_avatar_draw_to_pixbuf_finish (
      HdyAvatar* self,
      GAsyncResult* async_result
    )

#### Description [src]

Finishes an asynchronous draw of an avatar to a pixbuf.

Available since: | 1.2

#### Parameters

`async_result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkPixbuf`
| The resulting pixbuf.
| The caller of the method takes ownership of the data, and is responsible for freeing it.